Package com.oracle.truffle.api.nodes

## Class ControlFlowException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.oracle.truffle.api.nodes.ControlFlowException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `KillException`, `QuitException`

    public class ControlFlowException
    extends java.lang.RuntimeException

An exception thrown to model control flow in a Truffle interpreter. The Truffle optimizer has special knowledge of this exception class for performance optimizations.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ControlFlowException()` Creates an exception thrown to model control flow.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Throwable` `fillInStackTrace()` For performance reasons, this exception does not record any stack trace information.

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ControlFlowException

    public ControlFlowException()

Creates an exception thrown to model control flow.

### Method Detail

#### fillInStackTrace

    public final java.lang.Throwable fillInStackTrace()

For performance reasons, this exception does not record any stack trace information.

Overrides:
  `fillInStackTrace` in class `java.lang.Throwable`